 Welcome to SayWhatPro Help


Recent New features

Recent Features

Auto-Text supported: In DPI 14, Nuance has renamed Text&Graphics to Auto- Text commands

Advanced Scripting syntax checking no longer possible: Sorry, but, due to NaturallySpeaking architecture changes, syntax checking of Advanced Scripting macros is no longer possible.

Faster "Save Changes"! (Registered version only): For a long time number 1 on my most desired new features list, "Save Changes" will deploy much faster for ALL of your updating operations.

Fonts and Size now controllable: See MenuEdit For a method of specifying the fonts and the size of the fonts used in the Tabbed Listboxes and the macro body textbox. Very valuable for the visually challenged.

Automatic Import of proglobal.dat and (registered) SayWhatPro.dat: Manual steps to use Command Browser, Manage, Import (proglobal.dat) when first installing SayWhatPro freeware, or to Import SayWhatPro.dat when purchasing the registered version are now eliminated. SayWhatPro will now automatically detect and ask on first time execution of SayWhatPro (freeware), or when performing the 'Register', 'Copy e-mailed keyfile, Import Commands, and Import Vocabulary Words'. These are very convenient, and make installation and registration more streamlined. Furthermore, SayWhatPro will automatically detect if you are running a non-English language user, and convert the header of these files on-the-fly to your non-English language. If this step is not done, Importing will fail even in Command Browser. You may still need to rename individual commands for them to be properly recognized in your non-English language user.

Location and Size remembered (Registered version only): SayWhatPro will remember the position and the size of the SayWhatPro screen from its last usage, and will automatically come up at this position and size next time.

Preview pane relative size slider: A slider has been added to the right hand side of the interface (see screenshot below) which will control the relative size of the preview pane (code window). By moving the slider down, you increase the size of the command list and decrease the size of the preview pane. By moving the slider up, you decrease the size of the command list, and increase the size of the preview pane. You may also say 'slider x', where 'x' is a number between 1 and 10 corresponding to the tick marks on the slider control. 'Slider 10' is the same as turning the preview pane off. Now that the Command List can be resized and made bigger, I have increased the number of commands that will show in the 'Recently Created' tab to a maximum of 75. In other words, you can easily see up to the last 75 commands created (or Imported) in reverse order in the 'Recently Created' tab.

Numbering and voice control of the Program, Scope and Group menus:

Now, when you say (or click 'Program'), SayWhatPro will number the different programs, and you can simply choose the program you want by voicing the number. Example: say 'Program', then say '1'. This will bring up "Global Commands". Everyone's system will have a different number of different 'Programs', but they will be numbered consecutively on screen for you to choose. Furthermore, once you have remembered a specific program by number, you do not even need to go through the 'Program' menu, but can simply give a voice command like "program 17". On my system, this brings up the "NATSPEAK" macros.

Additionally, this functionality is extended to the 'Scope' and 'Group' menus.

This functionality may be turned off/on in the 'Edit', 'Options' menu.

(More new features continued below).

Navigate to the Command (or List) you want by voice: In the 'Commands' or 'Lists' Tabs, you may simply say the name of the Command or List that you want to navigate to.

Note: Because we are looking at "Global Commands", if you merely say a complete command name, it will be interpreted as an actual "Global Command" instead of navigating to the command that we want. The solution is to hold down the "Shift" key, so the utterance will be recognized as dictation, and SayWhatPro will navigate to the correct command.

Examples: We have reached the highlighted command by holding down "Shift" and saying "all users path". Holding down "Shift" is necessary because we are looking at "Global Commands". If you are not looking at "Global Commands", holding down the Shift key is not necessary, because the utterance will not be actually recognized as a command in SayWhatPro. However, additionally, if you are looking at the 'Program' SayWhatPro itself, you will also need to hold down the Shift key so as not to trigger an actual command recognition in SayWhatPro itself.

If you do not give a complete command name, you will not actually have to hold down the Shift key either. For example, if you just say "all users", you will navigate to the command highlighted on the left because it is a partial match. Furthermore, if you just say "allow", you would go to the next command in the list. If you just say "another", you will go to "another advance", if you want to go directly to "another recorder", you can hold down Shift, and say "another recorder".

Note: A user has pointed out to me that a hands-free alternative to holding down the Shift key is to instead say "No-Space". For example "No-Space all users path" will give you the same result as holding down Shift and saying "all users path".

Additionally, commands that start with LIST names will always sort to the top. it is probably not worth it to try to dictate a complete LIST name command. However, looking at this screen, if you say "less-than-sign testing", you will navigate to the command '<testinglist3> do this'. If you say "less-than-sign mouse", you will go to the first built-in '<mouse> <1to9>' command. Note that as for this example, the command name that you want to navigate to does not even need to be visible in the Commands list.

This functionality also extends to the LISTs tab, but due to the fact that the 'Recently Created', and 'Recently Modified' tabs are not sorted alphabetically, this technique will not work there. For navigating in these tabs, 'move down x', or 'Press papa' (example), are good ways to voice navigate.


New Tabbed Layout

Tabbed Layout

Continued in SayWhatPro is a tabbed dialog consisting of 4 tabs. The headings are illustrated below:

Only Commands show up in the Commands tab, and only LISTs are present in the LISTs tab. This provides better segregation.

Additionally, the Recently Created tab essentially lists only newly created commands in reverse order. In other words, the very last command you created will be on top, followed by the next to the last, etc.

The last tab - Recently Modified - is essentially a MRU (Most Recently Used) List. Most programs implement a MRU list of recently opened documents in the File menu. The very last command that you have done a "Save Changes" in SayWhatPro will be at the top of the list, followed by the next most recent "Save Changes". LISTs that have been modified will show up here just like Commands.

For both of these last 2 tabs, the application (Program) is also shown.


Collapsing Window

Collapsing Window-specific Macros to Application-specific

Symptom: In Command Browser, under Script, Grammar or under Current Command Grammar, you have too many grammars, or several different grammars under 1 application which are not even necessarily next to each other in the display. You would rather have 1 entry for each different application that you have macros for. Another symptom occasionally: Under Manage, you can display a group of macros containing one that you want to modify, but you can't ever get to it when choosing Script Mode or 'To Script'.

Solution: (in Command Browser)

  • go to Manage
  • check the boxes to the left containing the grammars you want to combine or 'collapse'
  • start the application
  • click Edit Properties
  • click Application-specific
  • select your application
  • click Save

At this point, all of the macros which you checked above, will now be Application-specific rather than Window-specific. For most applications, this is a good thing, because now you only have 1 grammar (Scope) to find all of your macros for that application in. This will simplify your life. One reason that you may have too many grammars was the version 6's propensity to modify the Window caption for Imported dvc commands when you subsequently modified them with MyCommands Editor.

When clicking on Save above, you might get a message "a command with the same name and availability already exists" and not allow you to perform the Save operation. You must find the duplicate command(s) and eliminate or rename them first. For applications with large numbers of commands in them, using SayWhatPro's File, Print command list may be the quickest solution. Also look for the file 'duplicate.log' in the SayWhatPro installation directory (c:\program files\SpeechUtilities by default).

Some applications may still need (some) Window-specific groupings for macros. Outlook may be one of these (applications).


Important Information About Converting KEYS Commands

Important Information About Converting Legacy KEYS Commands.

SayWhatPro now has 4 new powerful commands to convert Legacy KEYS commands (in mycmds.dat):

1) Tools-Convert DVC KEYS To Plain Text
2) Tools-Convert DVC KEYS To Advanced Scripting w/SendKeys
3) Pro-Convert To Plain Text
4) Pro-Convert To Advanced Scripting w/SendKeys

The first 2 can do mass conversions of every DVC KEYS (or subset), whereas the latter 2 will do one at a time. For these latter 2, you must still do "Save Changes" to complete the conversion. The rest of this discussion will focus on the multiple at a time Tools versions.

These commands provide the ability to convert Legacy KEYS commands (in your mycmds.dat file) from the Legacy format to different forms of the new style (mycmds.dat) commands. The simplest and most straightforward is the Tools, Convert DVC KEYS to Plain Text. DVC KEYS commands can consist of:

1) straight text
2) Ctrl-key sequences like {Ctrl+c}
3) mixture of 1 and 2 above (including multi-line contents)

the "Convert DVC KEYS to Plain Text" command will convert all commands of form 1 (straight text) to Text and Graphics, Plain Text. For some people, this can provide several hundred percent improvement in deployment speed. I recommend this for everyone as it has no negative consequences that I know of.

Going further:

SayWhatPro9 now includes the ability for converting forms 2 and 3 above to Advanced Scripting. This will simply convert a DVC KEYS macro of the form "{Ctrl+f}o" to:

Sub Main
SendKeys "^fo", true
End Sub

Not all KEYS sequences can be converted to SendKeys. In these cases, all sequences possible to be converted will be, and those not will convert as SendDragonKeys. For example, anything with RightCtrl, RightShift, RightAlt, NumLock, CapsLock, SysReq, or Break have no VBA SendKeys equivalents, and will convert as SendDragonKeys.

Conversion to the SendKeys format can be useful for those wishing to study the new VBA SendKeys syntax. In fact, SayWhatPro creates a logfile of the before, and after changes for this convenient use. The above example was taken straight out of this log file.

Have no fear:

I previously had 583 Legacy dvc KEYS commands in my mycmds.dat file. I now have none and have noticed no problems yet.

Well, gee, you say. What if I change a few hundred commands, and for whatever reason, I don't like how it turns out? Consider the following to be an advanced lesson in mycmds.dat maintenance and manipulation with redundant safety protocols using SayWhatPro.

First off, SayWhatPro creates a backup of mycmds.dat the first time each day that you start SayWhatPro (for each different user). This is stored in:

c:\program files\SpeechUtilities\your username in the form: mycmds.mmddyyyy

If you'd like to restore your macros to a version of a few days ago (that you made by using SayWhatPro), use the File, Restore user command. It will present a list of all files saved in the current month. If you need to go back further, you can (outside of SayWhatPro) manually copy the file over your existing mycmds.dat, and restart NaturallySpeaking (to get NatSpeak to reload the changed version).

Let's say you've already made a few minor changes today with SayWhatPro, but are getting ready to do something major. You can use File, Backup User. This command is telling SayWhatPro that you want to make a backup NOW, and it will overwrite the backup made at the first SayWhatPro startup of the day.

OK, this alone can get you back to a previous point if you don't like a major change. However, in the case of converting KEYS to Advanced Scripting, we can do something extra (and more redundant), and more tailored. We are going to convert ALL of our KEYS commands to Plain Text or Advanced Scripting.

Click View, only 1 of the Above, KEYS. Now do Tools, Export, click Everything. Choose a file name like c:\allkeys.dat. Notice how many macros you have which are KEYS under the Macro column. Click Export. SayWhatPro will prompt if you want to open this newly created Export file which contains only and all DVC KEYS macros from your mycmds.dat file. Say No. Now Tools, Convert DVC KEYS to plain Text. Click Everything. Click Convert. Wait while SayWhatPro converts , and then reloads the current user in 5-15 seconds. You have now converted KEYS of form 1 above to Plain Text, AND have a backup of all your KEYS commands before the conversion. Look at the log file created by the conversion process at c:\program files\SpeechUtilities\convertKEYS2plain.log .

What if you don't like it, and want to go back? One way is to File, Restore in SayWhatPro. Another is Command Browser, Manage, Import c:\allkeys.dat, Yes to All to overwrite existing macros. (Wait for Command Browser while 'Refreshing Imported commands')

Let's go further:

Do Tools, Export, Everything (View, only KEYS is still on). Notice how many macros. The difference between what was shown a moment ago, and now is how many macros you just converted to Plain Text. Change the filename to c:\keysb4advanced.dat or something. Do Tools, Convert KEYS to Advanced Scripting w/SendKeys. Click Convert, wait a few seconds for the process to complete. Examine the log file at c:\program files\SpeechUtilities\convertKEYS2Advanced.log . A portion of my log file is here. Now do Tools, Export just to look at how many KEYS you have left. It should be 0 or close to it (some may not have converted). Cancel out as we just wanted to see that number.

Now View, All of the above. Try things out, see how you like things. Don't make a lot of other modifications until you are satisfied with this large-scale conversion. If you want to go back, use File, Restore or Command Browser, Manage, Import, Yes to All to overwrite existing macros (Wait while Command Browser refreshes).


File

Open
This command will allow you to open a macro command file (.dat) other than the current user's mycmds.dat. It is very handy for looking at the contents of Exported .dat files (or files you are about to Import). All commands will also work on any Opened file, thus allowing fine-tuning of Exported or about to be Imported files. Another usage would be to edit another User file. If you have many changes to make to a User, without needing immediate execution of those changes, You could switch to another user, make the changes, then switch back. This method would avoid the re-opening User delay normally experienced when modifying your current User.
Print Current Command
This command will print the body of the current command.
Print COMMAND list
This command will print a report that is basically a listing of COMMANDS (and/or LISTS) with MENU and STATE headings.
Export to dvc
This command will create a syntactically correct Dragon .dvc file. Handy for sharing or moving macros (DVC types only).
Export to pseudo dvc
This command will create a file in the legacy dvc format, but will also contain the new VBA style commands (Advanced Scripting, etc.) as well. This is especially handy for studying groups of the new style commands. Of course, do not try to import this file.
Export to spreadsheet
This command will create a comma delimited file (.csv) capable of being imported into a spreadsheet.
The 4 previous commands all allow their output to contain one of the following:
  • Everything--All user and Dragon-supplied macros
  • Just this Group--Only the commands in the current Group
  • Just this Program--Only the commands in the current Program
  • Just this STATE--Only the commands in the current STATE
  • Pick and Choose--You can select any or all of the commands in the current STATE
Also, any output can be sent to the printer, to a file which can be user specified, or to the Windows Clipboard.
In addition, the scope of the print/export will conform to the current View (below).
Reload current user mycmds.dat
Use this if you leave SayWhatPro open while making a change (or addition) with the NatSpeak Command Browser that you want to see reflected in SayWhatPro. Unnecessary if SayWhatPro is closed during Command Browser updates since SayWhatPro will automatically detect any changes when firing up again. Also use this to go back to your main production mycmds.dat file after doing a File, Open.
Restore user 'username' mycmds.dat
Available for Registered users only. The first time each day that you use SayWhatPro, it makes a backup copy of the current user's mycmds.dat file in a subdirectory with the name of your user in the SayWhatPro installation directory. If for some reason, you need to restore your mycmds.dat file to an earlier version, this is the command for you. This command is actually very handy for testing SayWhatPro modifications. You can make wide sweeping modifications and if you don't like the results, you can Restore to an earlier version.
Backup user 'username' mycmds.dat
You can choose to say that "now" is the time to make a backup copy of the current users mycmds.dat file, rather than the first time that SayWhatPro has been started on this day.
Properties
This command shows several informative attributes of the currently open .dat file.


Find
Search through all commands for strings contained in:
  • COMMAND or LIST names
  • body of COMMANDS or LISTS
  • specific STATE names
Match case--you may select to search for an exact case match.
You may search repeatedly forward and backward with "Find Again" (or F11 key) and "Find Previous" (or F12 key>)
Options
The checkbox controls whether the Program, Scope, and Group menus are numbered, and thus voice controllable by number (or not)
The default is checked (numbers)
Non-interface Font options:
By directly editing the c:\program files\SpeechUtilities\SayWhatPro.ini file, (with a text editor like Notepad for instance), you may change the font of the tabbed Listboxes, and of the macro body textbox, and their respective sizes by modifying the following (default) entries:
fixedfont=Courier New
font=MS S Serif
fontsize=10
Make sure you specify the fontname correctly.
This can greatly increase viewing functionality for some users.


View

KEYs
Toggle on/off to show/not show KEYS type COMMANDs
SCRIPTs
Toggle on/off to show/not show SCRIPT type COMMANDs
LISTs
Toggle on/off to show/not show LISTs
Text and Graphics
Toggle on/off to show/not show Text and Graphic Commands
Plain Text
Toggle on/off to show/not show Plane Text type text and Graphic Commands
Macro Recorder
Toggle on/off to show/not show Macro Recorder Commands
Step-by-step
Toggle on/off to show/not show Step-by-step Commands
Advanced Scripting
Toggle on/off to show/not show Advanced Scripting Commands
All of the above
Turns on all KEYS, SCRIPTS, Text and Graphics, Macro recorder, Step-by-step, Advanced Scripting and LISTs
Only 1 of the above
Drops down a list to pick only 1 of the above. This makes it very easy to turn off all of the above except for one type.
1 COMMAND with its LISTs
This is handy for easily viewing only 1 COMMAND and its referenced LISTs. Example: if the cursor were highlighting the following command:
<SelectOrDelete> <NextOrPrevious> <2To20> Words
When this command is selected, only 4 entries will be shown in the list:
  • <SelectOrDelete> <NextOrPrevious> <2To20> Words
  • SelectOrDelete
  • NextOrPrevious
  • 2To20
This makes it much easier to study individual components of a particular command. When this mode is active, Exporting can also only apply to this View if desired. This is especially handy for sending 1 command and all it's LISTs to another person or to be included in an e-mail message.
1 LIST with calling COMMANDS
This is sort of the corollary of the above. When this View mode is invoked with a LIST highlighted, it will then show all COMMANDS that reference that LIST.


Tools

The following commands are available to registered users. All of the following commands in this Tools menu allow their scope to operate on:
  • Everything--All user and Dragon-supplied macros
  • Just this Group--Only the commands in the current Group
  • Just this App--Only the commands in the current application
  • Just this STATE--Only the commands in the current STATE (Window)
  • Pick and Choose--You can select any or all of the commands in the current STATE
Export
This command will allow you to do the same thing as the Command Browser Export, but with a whole lot more power and ease. Another powerful ability of SayWhatPro is that it allows Appending to an existing .dat file (Dragon Browsers only allow overwrites). It will further prompt if an existing command should be replaced or not.
Rename Group
This command will allow you to Rename every occurrence of an existing Group to a new Group name.
Rename Program
This command will allow you to Rename every occurrence of an existing Program to a new Program name. It is only intended for situations where when you receive a newer version of a program, it actually changes the executable filename. Ex. wpwin9.exe to wpwin10.exe. When some programs give you a new version, they use the same executable filename, while others change the executable filename. In simpler dvc days, one could open up a dvc file, and change one little line to make your old macros work with the newer version. This feature will do this job in the mycmds.dat days. Because NatSpeak stores information other than the executable filename in the mycmds.dat file, this technique will generally not work for copying sets of macros to a completely different program.
Search and Replace
This command will allow you to do a .dat file-wide (or less) search and replace in the body of Advanced Scripting, KEYS and SCRIPT macros and LISTs. My motivation was that I got a new computer, and many drive letters embedded in macros needed to be changed. However, ANY text in these macros is available for searching and replacing.
Delete
This command will allow you to Delete all macros of a certain type.
Convert to 6.0
This command will change the .dat file header to that of version 6.0 AND change all occurrences of 'SendDragonKeys' to 'SendKeys' in Advanced Scripting commands. This command is particularly handy if you are Exporting macros to be used by someone using version 6.0.
Convert to 6.1
This command will change the .dat file header to that of version 6.1 AND change all occurrences of 'SendKeys' to 'SendDragonKeys' in Advanced Scripting commands (if converting from a 6.0 format file)
Convert to 7.x
This command will change the .dat file header to that of version 7.x, the .dat file format of version 7.x, AND change all occurrences of 'SendKeys' to 'SendDragonKeys' in Advanced Scripting commands (if converting from a 6.0 format file).
Convert to 8/9
This command will change the .dat file header to that of version 8/9, the .dat file format of version 8/9, AND change all occurrences of 'SendKeys' to 'SendDragonKeys' in Advanced Scripting commands (if converting from a 6.0 format file).
Convert Language
This command will change the .dat file header language field to a different language. This can be useful when you want to transfer a macro created in one language of NaturallySpeaking to another. No translation of the actual macro names or macro contents are done. Probably at least the actual macro name should be changed to be pronounceable in the target language. NaturallySpeaking does not allow Import of macros Exported in a different language. However, this can occasionally be convenient, hence the birth of this command.
Convert DVC KEYS to Plain Text
This command will change all DVC KEYS macros in your .dat file which are all text, to Text and Graphics, Plain Text. Why would you want to do this? Several people have reported that legacy KEYS macros imported into the mycmds.dat file will deploy extremely slowly (like one letter at a time) when spoken. This command will convert all of these commands to Plain Text, which will deploy as rapidly as you would expect. Note that any KEYS macros which contain any keystrokes of the form similar to "{Ctrl+x}" or anything in braces {}, cannot be converted to Plain Text, and will be left as they are. Be sure and see this document for more in-depth details.
Convert DVC KEYS to Advanced Scripting
This command will change all DVC KEYS macros in your .dat file that contain any keystrokes of the form similar to "{Ctrl+xxx}" to Advanced Scripting macros. Why would you want to do this? If parts of the macro are actually plain text which deploy extremely slowly as above, they will benefit from this conversion. If the ONLY contents are control type sequences, they seem to deploy very slightly slower as Advanced Scripting commands. Another use for this command is for User learning of the VBA Sendkeys equivalents. Keystrokes that cannot be converted to VBA SendKeys will be retained as SendDragonKeys. At the current time, this command is not available for non-English users (due to different names for the keys). Be sure and see this document for more in-depth details.


Program

This command allows you to choose which application to display macros for. Everyone has macros for Global Commands, NaturallySpeaking, WordPad, CChat, and MSPAINT.


Scope

This command allows you to choose the Scope within a particular application.
Application-specific macros will show up with a Scope of Application-specific.
Window-specific macros will show up with a Scope of the name of the Window.
This organizational structure allows all of the macros for a specific application to be grouped together, rather than the way presented in the built-in Command Browser where you might have macros under 'iexplore', 'Internet Explorer', and 'Microsoft Internet Explorer' all being separate grammars. You may still have more Scopes than you want or need because of the way that MyCommands Editor changes the Window name when you edit Legacy macros. If you really don't need the macros to be Window-specific, and would rather that they really be Application-specific, you can use the 'Edit Properties' feature of the built-in Command Browser to "collapse" your Window-specific macros all into Application-specific macros. See collapsing for instructions.


Group

This command allows you to choose which Group to display. Everyone has at least 2 groups (Dragon and User-defined) and more if you have defined them. Think of this menu item as being similar to the View menu. The implementation has been improved to then only show Programs and Scopes in the selected Group.


Pro

Pro Menu

This command allows access to the various registered functions.
Edit
If this command type is editable by SayWhatPro, the cursor will move to the macro body box for editing. At the current time, Plain Text, KEYS, SCRIPT, LISTs, and Advanced Scripting commands can be edited directly in SayWhatPro.
Clone
Often times when I want to write a new macro, I will realize that I have an already existing macro that would only take a small amount of modification to achieve some new result. This command allows you to clone (make a copy of) an original command with a new name. Then you can edit this new cloned command, saving perhaps many steps of a creation process. Another possible use for this command is when you want to have another command phrase to perform the identical action as another command phrase.
New Legacy KEYS
Easily create old-style KEYS commands in the current Application and STATE. With the registered version's supplied importable macros, it is easy to dictate key sequences of the following type: {Ctrl+f} "control key plus foxtrot" and {Alt+d} "Alt key plus delta"
New Legacy SCRIPT
Easily create old-style SCRIPT commands in the current Application and STATE. Registered version SayWhatPro supplied macros make it easy to dictate all of the built-in Scripting commands (SendKeys, AppBringup, etc). A full DVC SCRIPT syntax check is made before allowing you to commit the macro. Newly created legacy dvc commands are available for execution immediately.
New Advanced Scripting
The registered version macros can be used here also. At this time, no syntax checking can be done by SayWhatPro. However, it causes no harm to save a syntactically incorrect macro. It will of course, give you an error when you invoke your macro.
New Plain Text
You may now create new Plain Text commands directly in SayWhatPro.
New LIST
This command prompts you for a new LIST name and immediately you can enter the LIST values in the normal SayWhatPro editable textbox (and then say "Save Changes").
Delete
You may delete any command or LIST. If a LIST is being used by any other command, SayWhatPro will show a grouping of them and prompt if you really want to do this.
Rename
You may rename any Command or LIST.
Convert DVC KEYS to Plain Text (only enabled for Legacy KEYS with NO {Ctrl+x} type contents)
This command will change all DVC KEYS macros in your .dat file which are all text, to Text and Graphics, Plain Text. Why would you want to do this? Several people have reported that legacy KEYS macros imported into the mycmds.dat file will deploy extremely slowly (like one letter at a time) when spoken. This command will convert all of these commands to Plain Text, which will deploy as rapidly as you would expect. Note that any KEYS macros which contain any keystrokes of the form similar to "{Ctrl+x}" or anything in braces {}, cannot be converted to Plain Text, and will be left as they are. For a more complete discussion, see this document.
Convert DVC KEYS to Advanced Scripting (only enabled for Legacy KEYS with {Ctrl+x} type contents)
This command will change all DVC KEYS macros in your .dat file that contain any keystrokes of the form similar to "{Ctrl+xxx}" to Advanced Scripting macros. Why would you want to do this? If parts of the macro are actually plain text which deploy extremely slowly as above, they will benefit from this conversion. If the ONLY contents are control type sequences, they seem to deploy very slightly slower as Advanced Scripting commands. Another use for this command is for User learning of the VBA Sendkeys equivalents. Keystrokes that cannot be converted to VBA SendKeys will be retained as SendDragonKeys. At the current time, this command is not available for non-English users (due to different names for the keys). For a more complete discussion, see this document.


.topic 10001
When doing a "Save Changes", SayWhatPro7 temporarily switches to another User. Do you want to automatically Save your User files, never Save, or Ask?


Sample Output of DVC KEYS Conversion to Advanced Scripting

Global Commands Global Commands undo the last action
KEYS:
{Ctrl+z}

Sub Main

SendKeys "^z", true

End Sub
********************************************************
Global Commands Global Commands backspace
KEYS:
{Backspace}

Sub Main

SendKeys "{Backspace}", true

End Sub
********************************************************
NATSPEAK DragonPad bold problem
KEYS:
{Alt+o}f{Alt+y}bold{Enter}Problem: {Alt+o}f{Alt+y}regular{Enter}

Sub Main

SendKeys "%of%ybold{Enter}Problem: %of%yregular{Enter}", true

End Sub
********************************************************
NATSPEAK DragonPad save with closing
KEYS:
Sincerely yours,

David Austin{Ctrl+s}

Sub Main

SendKeys "Sincerely yours," & vbCr,true
SendKeys vbCr, true
SendKeys vbCr, true
SendKeys "David Austin",true
SendKeys "^s",true
SendKeys vbCr, true

End Sub
********************************************************
Global Commands Global Commands select paragraph
KEYS:
{Home}{Ctrl+Down}{Shift+Ctrl+Up}

Sub Main

SendKeys "{Home}^{Down}+^{Up}", true

End Sub
********************************************************
Global Commands Global Commands select the paragraph
KEYS:
{Home}{Ctrl+Down}{Shift+Ctrl+Up}

Sub Main

SendKeys "{Home}^{Down}+^{Up}", true

End Sub
********************************************************
Global Commands Global Commands select word
KEYS:
{Ctrl+Right}{Shift+Ctrl+Left}

Sub Main

SendKeys "^{Right}+^{Left}", true

End Sub
********************************************************
Global Commands Global Commands select the word
KEYS:
{Ctrl+Right}{Shift+Ctrl+Left}

Sub Main

SendKeys "^{Right}+^{Left}", true

End Sub
********************************************************
Global Commands Global Commands select line
KEYS:
{Home}{Shift+End}

Sub Main

SendKeys "{Home}+{End}", true

End Sub
********************************************************
Global Commands Global Commands select the line
KEYS:
{Home}{Shift+End}

Sub Main

SendKeys "{Home}+{End}", true

End Sub
********************************************************
NATSPEAK DragonPad select document
KEYS:
{Ctrl+a}

Sub Main

SendKeys "^a", true

End Sub
********************************************************
NATSPEAK DragonPad copy all to clipboard
KEYS:
{Ctrl+a}{Ctrl+c}

Sub Main

SendKeys "^a^c", true

End Sub
********************************************************
NATSPEAK Spell scratch that
KEYS:
{Ctrl+s}

Sub Main

SendKeys "^s", true

End Sub
********************************************************
NATSPEAK Spell cap that
KEYS:
{Ctrl+k}

Sub Main

SendKeys "^k", true

End Sub
********************************************************
NATSPEAK Spell capitalize that
KEYS:
{Ctrl+k}

Sub Main

SendKeys "^k", true

End Sub